Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.odftoolkit.odfdom.dom.type.chart
Enum OdfTreatEmptyCellsType

    java.lang.Object
      java.lang.Enum<OdfTreatEmptyCellsType>
          org.odftoolkit.odfdom.dom.type.chart.OdfTreatEmptyCellsType

All Implemented Interfaces:
  Serializable, Comparable<OdfTreatEmptyCellsType>

    public enum OdfTreatEmptyCellsType

extends Enum<OdfTreatEmptyCellsType>

DOM implementation of OpenDocument attribute chart:treat-empty-cells.

Enum Constant Summary
`IGNORE`
`LEAVE_GAP`
`USE_ZERO`

Method Summary
`static OdfTreatEmptyCellsType` | `enumValueOf(String stringValue)` String to enum, turns a String into its corresponding enum constant
`String` | `toString()` gets the name of this enum.
`static String` | `toString(OdfTreatEmptyCellsType enumeration)` enum to String, gets the name of this enum constant as a string.
`static OdfTreatEmptyCellsType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OdfTreatEmptyCellsType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### IGNORE

    public static final OdfTreatEmptyCellsType IGNORE

### LEAVE_GAP

    public static final OdfTreatEmptyCellsType LEAVE_GAP

### USE_ZERO

    public static final OdfTreatEmptyCellsType USE_ZERO

Method Detail

### values

    public static OdfTreatEmptyCellsType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OdfTreatEmptyCellsType c : OdfTreatEmptyCellsType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OdfTreatEmptyCellsType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  gets the name of this enum.

  Overrides:
    `toString` in class `Enum<OdfTreatEmptyCellsType>`
  Returns:
    return the name of OdfTreatEmptyCellsType

### toString

    public static String toString(OdfTreatEmptyCellsType enumeration)

  enum to String, gets the name of this enum constant as a string.

  Parameters:
    `enumeration` - the constant of OdfTreatEmptyCellsType, see chart:treat-empty-cells
  Returns:
    return the name of OdfTreatEmptyCellsType

### enumValueOf

    public static OdfTreatEmptyCellsType enumValueOf(String stringValue)

  String to enum, turns a String into its corresponding enum constant

  Parameters:
    `stringValue` - the name of OdfTreatEmptyCellsType
  Returns:
    return the constant of OdfTreatEmptyCellsType, see chart:treat-empty-cells

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. All Rights Reserved.